A project's secret definitions
GET
/v1/organisations/{id}/projects/{pid}/secretsOperation secrets.projectList · since 2026-11-05 · stable
Needs a session withreadscopeAnswers200 OK
The project's secret group definitions and where each environment overrides them.
Path parameters
- idstring (uuid)required
- The organisation id.
- pidstring (uuid)required
- The project id.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/projects/{pid}/secrets
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/projects/$PROJECT_ID/secrets" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"